<?php

namespace Crm\Category\Forms;

use Litepie\Form\FormInterpreter;

class Category extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = config('crm.category.category.urls');

        self::$search = config('crm.category.category.search');

        self::$orderBy = config('crm.category.category.order');

        self::$groups =  config('crm.category.category.groups');

        self::$list =  config('crm.category.category.list');

        self::$fields = config('crm.category.category.form');

        return new static();
    }
}
